corda / net.corda.core.crypto / TransactionSignature / verify

# verify

`fun verify(): Boolean`

Function to auto-verify a MetaData object's signature. Note that MetaData contains both public key and merkle root of the transaction.

### Exceptions

`InvalidKeyException` - if the key is invalid.

`SignatureException` - if this signatureData object is not initialized properly, the passed-in signatureData is improperly encoded or of the wrong type, if this signatureData algorithm is unable to process the input data provided, etc.

`IllegalArgumentException` - if the signature scheme is not supported for this private key or if any of the clear or signature data is empty.